package Algorithms;

import java.awt.Color;
import java.util.Random;

/**
 * generates random colors
 * @author kolja
 *
 */
public class RandomColorGenerator {

	private Random rand;
	
	public RandomColorGenerator()
	{
		rand = new Random();
	}
	
	/**
	 * generate a color with random RGB values
	 * @return the color
	 */
	public Color generateColor()
	{
		float r = rand.nextFloat();
		float g = rand.nextFloat();
		float b = rand.nextFloat();
		return new Color( r, g, b );
	}
}
